private/cancel_all_by_currency
Cancels all open orders for a specific currency. This is useful for quickly clearing all orders across multiple instruments in a currency.
Orders can be optionally filtered by instrument kind (future, option, etc.) and/or order type (limit, market, stop, etc.). Use the detailed parameter to receive a list of all cancelled orders.
Authorizations
Call public/auth with grant_type: coinbase_cdp and a CDP JWT. Send the returned access_token as Authorization: Bearer.
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Instrument kind, "combo" for any combo or "any" for all. If not provided instruments of all kinds are considered
Instrument kind: "future", "option", "spot", "future_combo", "option_combo", "combo" for any combo or "any" for all
future, option, spot, future_combo, option_combo, combo, any Order type - limit, stop, take, trigger_all or all, default - all
Order type: "all", "limit", "stop", "take", "trailing_stop", "trailing_take"
all, limit, trigger_all, stop, take, trailing_stop When detailed is set to true, the output format is changed to include a list of all cancelled orders.
📖 Related Article: Detailed Response for Cancel Methods
Default: false
Whether or not to reject incoming quotes for 1 second after cancelling (false by default). Related to private/mass_quote request.